Subject: 27.0.91; indent-rigidly deactivates the mark with no visual cues

From: Nicolas Richard <[email-masked]>
Date: Thu, 13 Aug 2020 10:19:00 +0200

C-x TAB deactivates the mark before running any other command.
I don't think it's appropriate :
if I use C-x TAB <right> <right>
then I can see the mark is still active (the region is highlighted).
but if I now use a command which uses the active region (e.g. M-% or TAB),
it doesn't act on the region anymore.

The reason is that `indent-rigidly' runs deactivate-mark before leaving
transient map:
(set-transient-map indent-rigidly-map t #'deactivate-mark)

It was introduced in 9ae89c2c99c (which fixes bug #20408).
My suggestion is to either revert 9ae89c2c99c or add a note in the
docstring, e.g :

> Typing any other key deactivates the transient mode. If
> transient-mark-mode is enabled, it also deactivates the mark. It can
> be reactivated using \\[exchange-point-and-mark]

In GNU Emacs 27.0.91 (build 2, x86_64-pc-linux-gnu, GTK+ Version 2.24.30)
of 2020-07-07 built on user-ThinkPad-T400
Repository revision: 247dcb4b1b1b4ea3d50b63d41c4efa58743f610d
mRepository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: Trisquel GNU/Linux Flidas (8.0)